petsc-3.4.2 2013-07-02

# SNESLineSearchGetSuccess

Gets the success/failure status of the last line search application

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchGetSuccess(SNESLineSearch linesearch, PetscBool *success)

### Input Parameters

linesearch -linesearch context

### Output Parameters

success -The success or failure status

### Notes

This is typically called after SNESLineSearchApply() in order to determine if the line-search failed (and set the SNES convergence accordingly).

### See Also

SNESLineSearchSetSuccess()

Level:intermediate
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages